

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ _AString_47(OBJ,OBJ);extern OBJ __AString_47;
extern OBJ _AString_49(OBJ);extern OBJ __AString_49;

#include "Denotation.h"
extern OBJ _ABTUnion_34(OBJ);extern OBJ __ABTUnion_34;
extern OBJ _ABTUnion_36(OBJ);extern OBJ __ABTUnion_36;
extern OBJ __ASeq_6;
extern OBJ _ASeq_14(OBJ,OBJ);extern OBJ __ASeq_14;
extern OBJ _ASeq_26(OBJ,OBJ);extern OBJ __ASeq_26;
extern OBJ _AMap_31(OBJ,OBJ,OBJ,OBJ);extern OBJ __AMap_31;
extern OBJ _AMap_33(OBJ,OBJ,OBJ);extern OBJ __AMap_33;
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;

#include "Int.h"

#include "Real.h"

#include "Char.h"
extern OBJ _ACompose_4(OBJ,OBJ,OBJ);extern OBJ __ACompose_4;
extern OBJ _AStringFormat_1(OBJ,OBJ);extern OBJ __AStringFormat_1;
extern OBJ _AStringScan_9(OBJ,OBJ);extern OBJ __AStringScan_9;
extern OBJ _AStringFilter_4(OBJ,OBJ);extern OBJ __AStringFilter_4;
extern TUP2 _AStringFilter_5(OBJ,OBJ);extern OBJ __AStringFilter_5;
extern OBJ _AStringConv_1(OBJ);extern OBJ __AStringConv_1;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ __AProcessArgs_4;
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AMapConv_9(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __AMapConv_9;
extern OBJ __AMapConv_13;
extern OBJ __AMapConv_14;
extern OBJ __AMapConv_15;
extern OBJ _ASeqConv_4(OBJ,OBJ);extern OBJ __ASeqConv_4;
extern OBJ __ASeqConv_8;

#include "NatConv.h"

#include "IntConv.h"
extern OBJ __ABoolConv_2;
extern OBJ __ABoolConv_3;

#include "RealConv.h"
extern OBJ _AOptionScan_1(OBJ,OBJ);OBJ __AOptionScan_1; /* scanOptions */
extern OBJ _AOptionScan_2(OBJ);OBJ __AOptionScan_2; /* ` */
extern OBJ _AOptionScan_3(OBJ);OBJ __AOptionScan_3; /* anaSpec */
extern OBJ _AOptionScan_4(OBJ,OBJ,OBJ,OBJ);OBJ __AOptionScan_4; /* scanOpts */
extern OBJ _AOptionScan_5(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AOptionScan_5; /* scanNextOpt */
extern OBJ _AOptionScan_6(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AOptionScan_6; /* scanRestOpt */
extern OBJ _AOptionScan_7(OBJ,OBJ);OBJ __AOptionScan_7; /* error */
extern OBJ _AOptionScan_8(OBJ);OBJ __AOptionScan_8; /* anaSpec,1 */
extern OBJ _AOptionScan_9(OBJ);OBJ __AOptionScan_9; /* `,1 */
extern OBJ _AOptionScan_10(OBJ);OBJ __AOptionScan_10; /* anaSpec,1'10 */
OBJ __AOptionScan_11; /* error'11 */
OBJ __AOptionScan_12; /* scanRestOpt'12 */
OBJ __AOptionScan_13; /* scanRestOpt'13 */
extern OBJ _AOptionScan_14(OBJ);OBJ __AOptionScan_14; /* scanRestOpt'14 */
OBJ __AOptionScan_15; /* scanRestOpt'15 */
extern OBJ _AOptionScan_16(OBJ);OBJ __AOptionScan_16; /* scanRestOpt'16 */
OBJ __AOptionScan_17; /* scanRestOpt'17 */
extern OBJ _AOptionScan_18(OBJ,OBJ);OBJ __AOptionScan_18; /* scanNextOpt'18 */
extern OBJ _AOptionScan_19(OBJ,OBJ,OBJ);OBJ __AOptionScan_19; /* scanOptions'19 */
OBJ __AOptionScan_20; /* `,1'20 */
OBJ __AOptionScan_21; /* `,1'21 */
OBJ __AOptionScan_22; /* `,1'22 */
OBJ __AOptionScan_23; /* `,1'23 */
OBJ __AOptionScan_24; /* `,1'24 */
extern OBJ _AOptionScan_25(OBJ);OBJ __AOptionScan_25; /* `'25 */
extern OBJ _AOptionScan_26(OBJ);OBJ __AOptionScan_26; /* `'26 */
extern OBJ _AOptionScan_27(OBJ);OBJ __AOptionScan_27; /* `'27 */

extern OBJ _AOptionScan_1(OBJ x1,OBJ x2) /* scanOptions */
{OBJ r;
 CPCLS(__AOptionScan_19,1);
 CPPRD(__AProcessArgs_4,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AOptionScan_19,2))(__AOptionScan_19,x1,x2);
  r=_AComCompose_5(__AProcessArgs_4,x3);}
 return r;}

extern OBJ _AOptionScan_2(OBJ x1) /* ` */
{OBJ r;
 CPCLS(__AOptionScan_26,1);
 CPCLS(__AOptionScan_27,1);
 CPCLS(__ADenotation_17,1);
 CPPRD(__AMapConv_13,1);
 CPPRD(__AMapConv_14,1);
 CPPRD(__AMapConv_15,1);
 CPPRD(__ASeqConv_8,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_27,1))(__AOptionScan_27,__ABUILTIN_20);
  r=_AMapConv_9(__ADenotation_17,__AMapConv_13,__AMapConv_14,__ASeqConv_8,__AMapConv_15,__AOptionScan_26,x3,x1);}
 return r;}

extern OBJ _AOptionScan_3(OBJ x1) /* anaSpec */
{OBJ r;
 CPCLS(__AChar_27,1);
 {OBJ x2;OBJ x3;
  x2=_AString_49(x1);
  x3=_AStringFilter_4(__AChar_27,x2);
  r=_AOptionScan_8(x3);}
 return r;}

extern OBJ _AOptionScan_4(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* scanOpts */
{OBJ r;
 if(ISPRM(x4)){
  FREE(x1,1);
  FREE(x2,1);
  CPCLS(__ACom_47,1);
  {OBJ x14;OBJ x15;OBJ x16;
   PRD1(2,x14);FLD1(x14,1)=x3;FLD1(x14,2)=__ASeq_6;
   PRD(1,0,x15);FLD(x15,1)=x14;
   x16=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x15);
   PRD(2,0,r);FLD(r,1)=x16;FLD(r,2)=__ASeq_6;}
 }else{
  COPY(x1,1);
  COPY(x2,1);
  r=_AOptionScan_5(x1,x2,x3,x4,x1,x2);}
 return r;}

extern OBJ _AOptionScan_5(register OBJ x1,register OBJ x2,register OBJ x3,register OBJ x4,register OBJ x5,register OBJ x6) /* scanNextOpt */
{OBJ r;
 for(;;){
  if(ISPRM(x4)){
   HLT("OptionScan at <41,5-15> : missing else in scanNextOpt\'OptionScan:seq**seq**map**seq**seq**seq->com");
  }else{
   {OBJ x184=FLD1(x4,1);OBJ x185=FLD1(x4,2);
    COPY(x184,1);COPY(x185,1);
    if(ISPRM(x5)){
     if(EXPRD(x4,1)){
      DSPRD(x4);
     }else{
      DCPRD(x4,1);}
     if(ISPRM(x6)){
      CPCLS(__AOptionScan_18,1);
      {OBJ x187;OBJ x188;
       x187=_AOptionScan_4(x1,x2,x3,x185);
       x188=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_18,1))(__AOptionScan_18,x184);
       r=_AComCompose_5(x187,x188);}
     }else{
      HLT("OptionScan at <41,5-15> : missing else in scanNextOpt\'OptionScan:seq**seq**map**seq**seq**seq->com");}
    }else{
     {OBJ x193=FLD1(x5,1);OBJ x194=FLD1(x5,2);
      if(EXPRD(x5,1)){
       DSPRDF(x5);
      }else{
       CPPRD(x193,1);COPY(x194,1);
       FRPRD(x5,1);}
      if(ISPRM(x6)){
       HLT("OptionScan at <41,5-15> : missing else in scanNextOpt\'OptionScan:seq**seq**map**seq**seq**seq->com");
      }else{
       {OBJ x195=FLD1(x6,1);OBJ x196=FLD1(x6,2);
	if(EXPRD(x6,1)){
	 DSPRDF(x6);
	}else{
	 COPY(x195,1);COPY(x196,1);
	 FRPRD(x6,1);}
	{OBJ x202;OBJ x203;OBJ x204;
	 if(ISPRM(x195)){
	  HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
	 }else{
	  {OBJ x200=FLD1(x195,1);
	   COPY(x200,1);
	   x202=x200;}}
	 x203=_AStringConv_1(x202);
	 x204=_AStringScan_9(x203,x184);
	 if(ISPRM(x204)){
	  FREE(x185,1);
	  FRPRD(x193,1);
	  FREE(x195,1);
	  x5=x194;x6=x196;continue;
	 }else{
	  {OBJ x205=FLD1(x204,1);
	   if(EXPRD(x204,1)){
	    DSPRDF(x204);
	   }else{
	    COPY(x205,1);
	    FRPRD(x204,1);}
	   if(EXPRD(x4,1)){
	    DSPRD(x4);
	   }else{
	    DCPRD(x4,1);}
	   FREE(x194,1);
	   FREE(x196,1);
	   {OBJ x208;
	    if(ISPRM(x195)){
	     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	    }else{
	     {OBJ x207=FLD1(x195,2);
	      if(EXPRD(x195,1)){
	       x208=x207;
	       FREE(FLD1(x195,1),1);DSPRDF(x195);
	      }else{
	       COPY(x207,1);
	       x208=x207;
	       FRPRD(x195,1);}}}
	    r=_AOptionScan_6(x1,x2,x3,x193,x205,x185,x208);}}}}}}}}}}
  break;}
 return r;}

extern OBJ _AOptionScan_6(register OBJ x1,register OBJ x2,register OBJ x3,register OBJ x4,register OBJ x5,register OBJ x6,register OBJ x7) /* scanRestOpt */
{OBJ r;
 for(;;){
  if(ISPRM(x6)){
   if(ISPRM(x7)){
    COPY(x3,1);
    CPPRD(x4,1);
    CPCLS(__ADenotation_17,1);
    {OBJ x126;OBJ x128;OBJ x131;OBJ x132;
     x126=_AMap_33(__ADenotation_17,x3,x4);
     if(ISPRM(x126)){
      x128=__ABUILTIN_3;
     }else{
      x128=__ABUILTIN_5;}
     if(ISTGPRM(x128,1)){
      {OBJ x130;
       if(ISPRM(x126)){
	HLT("Option at <unknown> : undefined selection cont\'Option:option->data");
       }else{
	{OBJ x129=FLD1(x126,1);
	 if(EXPRD(x126,1)){
	  x130=x129;
	  DSPRDF(x126);
	 }else{
	  COPY(x129,1);
	  x130=x129;
	  FRPRD(x126,1);}
	 CPCLS(__ADenotation_17,1);}}
       PRD1(2,x131);FLD1(x131,1)=x5;FLD1(x131,2)=x130;}
     }else{
      FREE(x126,1);
      CPCLS(__ADenotation_17,1);
      PRD1(2,x131);FLD1(x131,1)=x5;FLD1(x131,2)=__ASeq_6;}
     x132=_AMap_31(__ADenotation_17,x4,x131,x3);
     r=_AOptionScan_4(x1,x2,x132,x6);}
   }else{
    if(EXPRD(x7,1)){
     DSPRD(x7);
    }else{
     DCPRD(x7,1);}
    FREE(x1,1);
    FREE(x2,1);
    FREE(x3,1);
    FREE(x5,1);
    CPPRD(__AOptionScan_12,1);
    r=_AOptionScan_7(x4,__AOptionScan_12);}
  }else{
   {OBJ x135=FLD1(x6,1);OBJ x136=FLD1(x6,2);
    COPY(x135,1);COPY(x136,1);
    if(ISPRM(x7)){
     FREE(x135,1);
     FREE(x136,1);
     COPY(x3,1);
     CPPRD(x4,1);
     CPCLS(__ADenotation_17,1);
     {OBJ x137;OBJ x139;OBJ x142;OBJ x143;
      x137=_AMap_33(__ADenotation_17,x3,x4);
      if(ISPRM(x137)){
       x139=__ABUILTIN_3;
      }else{
       x139=__ABUILTIN_5;}
      if(ISTGPRM(x139,1)){
       {OBJ x141;
	if(ISPRM(x137)){
	 HLT("Option at <unknown> : undefined selection cont\'Option:option->data");
	}else{
	 {OBJ x140=FLD1(x137,1);
	  if(EXPRD(x137,1)){
	   x141=x140;
	   DSPRDF(x137);
	  }else{
	   COPY(x140,1);
	   x141=x140;
	   FRPRD(x137,1);}
	  CPCLS(__ADenotation_17,1);}}
	PRD1(2,x142);FLD1(x142,1)=x5;FLD1(x142,2)=x141;}
      }else{
       FREE(x137,1);
       CPCLS(__ADenotation_17,1);
       PRD1(2,x142);FLD1(x142,1)=x5;FLD1(x142,2)=__ASeq_6;}
      x143=_AMap_31(__ADenotation_17,x4,x142,x3);
      r=_AOptionScan_4(x1,x2,x143,x6);}
    }else{
     {OBJ x144=FLD1(x7,1);OBJ x145=FLD1(x7,2);
      if(EXPRD(x7,1)){
       COPY(x144,1);
       DSPRDF(x7);
      }else{
       COPY(x144,2);COPY(x145,1);
       FRPRD(x7,1);}
      if(EXPRD(x6,1)){
       DSPRD(x6);
      }else{
       DCPRD(x6,1);}
      CPCLS(__AOptionScan_14,1);
      {OBJ x147;OBJ x149;OBJ x156;
       x147=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_14,1))(__AOptionScan_14,__ABUILTIN_20);
       x149=_AString_47(x144,x147);
       if(ISTGPRM(x149,1)){
	FREE(x144,1);
	{OBJ x150;
	 x150=_ABTUnion_34(x135);
	 PRD1(1,x156);FLD1(x156,1)=x150;}
       }else{
	COPY(x144,1);
	CPCLS(__AOptionScan_16,1);
	{OBJ x151;OBJ x152;
	 x151=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_16,1))(__AOptionScan_16,__ABUILTIN_20);
	 x152=_AString_47(x144,x151);
	 if(ISTGPRM(x152,1)){
	  FREE(x144,1);
	  {OBJ x153;OBJ x154;
	   x153=_AStringConv_1(x135);
	   x154=_ABTUnion_36(x153);
	   PRD1(1,x156);FLD1(x156,1)=x154;}
	 }else{
	  {OBJ x155;
	   x155=_AStringConv_1(x144);
	   x156=_AStringScan_9(x155,x135);}}}}
       if(ISPRM(x156)){
	FREE(x1,1);
	FREE(x2,1);
	FREE(x3,1);
	FREE(x5,1);
	FREE(x136,1);
	FREE(x145,1);
	CPPRD(__AOptionScan_17,1);
	r=_AOptionScan_7(x4,__AOptionScan_17);
       }else{
	{OBJ x157=FLD1(x156,1);
	 if(EXPRD(x156,1)){
	  DSPRDF(x156);
	 }else{
	  COPY(x157,1);
	  FRPRD(x156,1);}
	 {OBJ x158;
	  x158=_ASeq_26(x5,x157);
	  x5=x158;x6=x136;x7=x145;continue;}}}}}}}}
  break;}
 return r;}

extern OBJ _AOptionScan_7(OBJ x1,OBJ x2) /* error */
{OBJ r;
 CPPRD(__AOptionScan_11,1);
 CPCLS(__ACom_47,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;
  PRD(1,6,x3);FLD(x3,1)=x1;
  PRD(1,6,x4);FLD(x4,1)=x2;
  x5=_ASeq_14(x3,x4);
  x6=_AStringFormat_1(__AOptionScan_11,x5);
  x7=_AStringConv_1(x6);
  PRD(1,1,x8);FLD(x8,1)=x7;
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x8);
  PRD(2,0,r);FLD(r,1)=x9;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AOptionScan_8(register OBJ x1) /* anaSpec,1 */
{OBJ r;OBJ* p1=&r;
 for(;;){
  if(ISPRM(x1)){
   *p1=__ASeq_6;
  }else{
   CPCLS(__AOptionScan_10,1);
   CPCLS(__AChar_27,1);
   {OBJ x15;TUP2 x17;OBJ x19;
    x15=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_10,1))(__AOptionScan_10,__ABUILTIN_20);
    x17=_AStringFilter_5(x15,x1);
    x19=_AStringFilter_4(__AChar_27,x17.c2);
    PRD1(2,*p1);FLD1(*p1,1)=x17.c1;
    x1=x19;p1=&FLD1(*p1,2);continue;}}
  break;}
 return r;}

extern OBJ _AOptionScan_9(OBJ x1) /* `,1 */
{OBJ r;
 switch(TGPRD(x1)){
  case 4:
   {OBJ x87=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     COPY(x87,1);
     FRPRD(x1,1);}
    CPPRD(__AOptionScan_21,2);
    {OBJ x88;OBJ x89;OBJ x90;
     x88=_AStringConv_1(x87);
     ADenotation_4(x88,__AOptionScan_21,x89);
     ADenotation_4(__AOptionScan_21,x89,x90);
     r=_AString_49(x90);}}break;
  case 5:
   {OBJ x91=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     FRPRD(x1,1);}
    {OBJ x92;
     if(ISTGPRM(x91,1)){
      CPPRD(__ABoolConv_2,1);
      x92=__ABoolConv_2;
     }else{
      CPPRD(__ABoolConv_3,1);
      x92=__ABoolConv_3;}
     r=_AString_49(x92);}}break;
  case 6:
   {OBJ x93=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     CPPRD(x93,1);
     FRPRD(x1,1);}
    CPPRD(__AOptionScan_22,2);
    {OBJ x94;OBJ x95;
     ADenotation_4(x93,__AOptionScan_22,x94);
     ADenotation_4(__AOptionScan_22,x94,x95);
     r=_AString_49(x95);}}break;
  case 2:
   {OBJ x96=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     CPPRD(x96,1);
     FRPRD(x1,1);}
    CPPRD(__AOptionScan_23,1);
    {OBJ x97;OBJ x98;
     ARealConv_2(x96,__ANat_23,x97);
     ADenotation_4(x97,__AOptionScan_23,x98);
     r=_AString_49(x98);}}break;
  case 0:
   {OBJ x99=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     FRPRD(x1,1);}
    CPPRD(__AOptionScan_24,1);
    {OBJ x100;OBJ x101;
     ANatConv_1(x99,x100);
     ADenotation_4(x100,__AOptionScan_24,x101);
     r=_AString_49(x101);}}break;
  case 3:
   HLT("OptionScan at <140,5> : missing else in `\'OptionScan:union->string");break;
  default: 
   {OBJ x84=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     FRPRD(x1,1);}
    CPPRD(__AOptionScan_20,1);
    {OBJ x85;OBJ x86;
     AIntConv_1(x84,x85);
     ADenotation_4(x85,__AOptionScan_20,x86);
     r=_AString_49(x86);}}}
 return r;}

extern OBJ _AOptionScan_10(OBJ x1) /* anaSpec,1'10 */
{OBJ r;
 CPCLS(__ABUILTIN_7,1);
 CPCLS(__AChar_27,1);
 CPCLS(__ACompose_4,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ACompose_4,2))(__ACompose_4,__ABUILTIN_7,__AChar_27);
 return r;}

extern OBJ _AOptionScan_14(OBJ x1) /* scanRestOpt'14 */
{OBJ r;
 CPPRD(__AOptionScan_13,1);
 r=_AString_49(__AOptionScan_13);
 return r;}

extern OBJ _AOptionScan_16(OBJ x1) /* scanRestOpt'16 */
{OBJ r;
 CPPRD(__AOptionScan_15,1);
 r=_AString_49(__AOptionScan_15);
 return r;}

extern OBJ _AOptionScan_18(OBJ x1,OBJ x2) /* scanNextOpt'18 */
{OBJ r;
 {OBJ x14=FLD1(x2,1);OBJ x15;FLAG x_x2=EXPRD(x2,1);
  if(x_x2){
  }else{
   x15=FLD1(x2,2);COPY(x14,1);COPY(x15,1);}
  CPCLS(__ACom_47,1);
  {OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;
   x16=_AStringConv_1(x1);
   if(x_x2){
    RSOME(x2,x17);FLD1(x17,1)=x16;
   }else{
    FRPRD(x2,1);PRD1(2,x17);FLD1(x17,1)=x16;FLD1(x17,2)=x15;}
   PRD1(2,x18);FLD1(x18,1)=x14;FLD1(x18,2)=x17;
   PRD(1,0,x19);FLD(x19,1)=x18;
   x20=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x19);
   PRD(2,0,r);FLD(r,1)=x20;FLD(r,2)=__ASeq_6;}}
 return r;}

extern OBJ _AOptionScan_19(OBJ x1,OBJ x2,OBJ x3) /* scanOptions'19 */
{OBJ r;
 {OBJ x7;OBJ x4;OBJ x8;
  if(ISPRM(x3)){
   HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
  }else{
   {OBJ x6=FLD1(x3,2);
    if(EXPRD(x3,1)){
     x7=x6;
     FRPRD(FLD1(x3,1),1);DSPRDF(x3);
    }else{
     COPY(x6,1);
     x7=x6;
     FRPRD(x3,1);}
    COPY(x1,1);
    CPCLS(__AOptionScan_3,1);
    CPCLS(__AString_49,1);}}
  x4=_ASeqMap_3(__AOptionScan_3,x1);
  x8=_ASeqMap_3(__AString_49,x7);
  r=_AOptionScan_4(x1,x4,x2,x8);}
 return r;}

extern OBJ _AOptionScan_25(OBJ x1) /* `'25 */
{OBJ r;
 CPCLS(__AOptionScan_9,1);
 CPCLS(__ASeqConv_4,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASeqConv_4,1))(__ASeqConv_4,__AOptionScan_9);
 return r;}

extern OBJ _AOptionScan_26(OBJ x1) /* `'26 */
{OBJ r;
 r=_AString_49(x1);
 return r;}

extern OBJ _AOptionScan_27(OBJ x1) /* `'27 */
{OBJ r;
 CPCLS(__AOptionScan_25,1);
 CPCLS(__ASeqConv_4,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AOptionScan_25,1))(__AOptionScan_25,__ABUILTIN_20);
  r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASeqConv_4,1))(__ASeqConv_4,x2);}
 return r;}

init_AOptionScan()
{
 static int visited=0; if(visited) return; visited=1;
 init_ASetByBST();
 init_ABSTree();
 init_ATree();
 init_AStringMapSeq();
 init_ANat();
 init_AEQUALITY();
 init_AString();
 init_ADenotation();
 init_ABTUnion();
 init_ASeq();
 init_AMap();
 init_APair();
 init_ACom();
 init_AVoid();
 init_AOption();
 init_ASet();
 init_AInt();
 init_AReal();
 init_AChar();
 init_ACompose();
 init_AStringFormat();
 init_AStringScan();
 init_AStringFilter();
 init_AStringConv();
 init_ASeqMap();
 init_ASeqReduce();
 init_AProcessArgs();
 init_AComCompose();
 init_AMapConv();
 init_ASeqConv();
 init_ANatConv();
 init_AIntConv();
 init_ABoolConv();
 init_ARealConv();
 LCLS(1,_AOptionScan_27,__AOptionScan_27);
 CLS(1,_AOptionScan_26,__AOptionScan_26);
 LCLS(1,_AOptionScan_25,__AOptionScan_25);
 DEN("N",__AOptionScan_24);
 DEN("R",__AOptionScan_23);
 DEN("\"",__AOptionScan_22);
 DEN("\'",__AOptionScan_21);
 DEN("I",__AOptionScan_20);
 CLS(3,_AOptionScan_19,__AOptionScan_19);
 CLS(2,_AOptionScan_18,__AOptionScan_18);
 DEN("option format mismatch",__AOptionScan_17);
 LCLS(1,_AOptionScan_16,__AOptionScan_16);
 DEN("%d",__AOptionScan_15);
 LCLS(1,_AOptionScan_14,__AOptionScan_14);
 DEN("%s",__AOptionScan_13);
 DEN("option argument number too small",__AOptionScan_12);
 DEN("option \"%s\": %s",__AOptionScan_11);
 LCLS(1,_AOptionScan_10,__AOptionScan_10);
 CLS(1,_AOptionScan_9,__AOptionScan_9);
 CLS(1,_AOptionScan_8,__AOptionScan_8);
 CLS(2,_AOptionScan_7,__AOptionScan_7);
 CLS(7,_AOptionScan_6,__AOptionScan_6);
 CLS(6,_AOptionScan_5,__AOptionScan_5);
 CLS(4,_AOptionScan_4,__AOptionScan_4);
 CLS(1,_AOptionScan_3,__AOptionScan_3);
 CLS(1,_AOptionScan_2,__AOptionScan_2);
 CLS(2,_AOptionScan_1,__AOptionScan_1);}

